package com.foreverwin.mesnac.integration.dto;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.math.BigDecimal;


/**
 * 工单同步接口请求参数实体类
 *
 * @author Leon
 * @date 2021-6-24
 */
@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ShopOrderSyncRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "FACTORY",
        "SHOP_ORDER",
        "STATUS",
        "PLANNED_ITEM",
        "ITEM_REVISION",
        "PLANNED_BOM",
        "BOM_TYPE",
        "BOM_REVISION",
        "PLANNED_ROUTER",
        "PRIORITY",
        "ORDER_QTY",
        "PROD_QTY",
        "PLANNED_START_DATE",
        "PLANNED_COMP_DATE",
        "START_PRODUCT",
        "SHOP_ORDER_TYPE",
        "ITEM_NUMBER",
        "PRODUCT_CATEGORY",
        "WORK_ORDER",
        "COMMENTS"
})
public class ShopOrderSyncRequest {

    @XmlElement(name = "TRANID", required = true)
    private String TRANID;
    @XmlElement(name = "DATE_TIME", required = true)
    private String DATE_TIME;
    @XmlElement(name = "SITE", required = true)
    private String SITE;
    @XmlElement(name = "FACTORY")
    private String FACTORY;
    @XmlElement(name = "SHOP_ORDER", required = true)
    private String SHOP_ORDER;
    @XmlElement(name = "STATUS", required = true)
    private String STATUS;
    @XmlElement(name = "PLANNED_ITEM", required = true)
    private String PLANNED_ITEM;
    @XmlElement(name = "ITEM_REVISION")
    private String ITEM_REVISION;
    @XmlElement(name = "PLANNED_BOM")
    private String PLANNED_BOM;
    @XmlElement(name = "BOM_TYPE")
    private String BOM_TYPE;
    @XmlElement(name = "BOM_REVISION")
    private String BOM_REVISION;
    @XmlElement(name = "PLANNED_ROUTER")
    private String PLANNED_ROUTER;
    @XmlElement(name = "PRIORITY", required = true)
    private BigDecimal PRIORITY;
    @XmlElement(name = "ORDER_QTY", required = true)
    private BigDecimal ORDER_QTY;
    @XmlElement(name = "PROD_QTY", required = true)
    private BigDecimal PROD_QTY;
    @XmlElement(name = "PLANNED_START_DATE", required = true)
    private String PLANNED_START_DATE;
    @XmlElement(name = "PLANNED_COMP_DATE", required = true)
    private String PLANNED_COMP_DATE;
    @XmlElement(name = "START_PRODUCT")
    private String START_PRODUCT;
    @XmlElement(name = "SHOP_ORDER_TYPE")
    private String SHOP_ORDER_TYPE;
    @XmlElement(name = "ITEM_NUMBER")
    private String ITEM_NUMBER;
    @XmlElement(name = "PRODUCT_CATEGORY")
    private String PRODUCT_CATEGORY;
    @XmlElement(name = "WORK_ORDER")
    private String WORK_ORDER;
    @XmlElement(name = "COMMENTS")
    private String COMMENTS;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getFACTORY() {
        return FACTORY;
    }

    public void setFACTORY(String FACTORY) {
        this.FACTORY = FACTORY;
    }

    public String getSHOP_ORDER() {
        return SHOP_ORDER;
    }

    public void setSHOP_ORDER(String SHOP_ORDER) {
        this.SHOP_ORDER = SHOP_ORDER;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getPLANNED_ITEM() {
        return PLANNED_ITEM;
    }

    public void setPLANNED_ITEM(String PLANNED_ITEM) {
        this.PLANNED_ITEM = PLANNED_ITEM;
    }

    public String getITEM_REVISION() {
        return ITEM_REVISION;
    }

    public void setITEM_REVISION(String ITEM_REVISION) {
        this.ITEM_REVISION = ITEM_REVISION;
    }

    public String getPLANNED_BOM() {
        return PLANNED_BOM;
    }

    public void setPLANNED_BOM(String PLANNED_BOM) {
        this.PLANNED_BOM = PLANNED_BOM;
    }

    public String getBOM_TYPE() {
        return BOM_TYPE;
    }

    public void setBOM_TYPE(String BOM_TYPE) {
        this.BOM_TYPE = BOM_TYPE;
    }

    public String getBOM_REVISION() {
        return BOM_REVISION;
    }

    public void setBOM_REVISION(String BOM_REVISION) {
        this.BOM_REVISION = BOM_REVISION;
    }

    public String getPLANNED_ROUTER() {
        return PLANNED_ROUTER;
    }

    public void setPLANNED_ROUTER(String PLANNED_ROUTER) {
        this.PLANNED_ROUTER = PLANNED_ROUTER;
    }

    public BigDecimal getPRIORITY() {
        return PRIORITY;
    }

    public void setPRIORITY(BigDecimal PRIORITY) {
        this.PRIORITY = PRIORITY;
    }

    public BigDecimal getORDER_QTY() {
        return ORDER_QTY;
    }

    public void setORDER_QTY(BigDecimal ORDER_QTY) {
        this.ORDER_QTY = ORDER_QTY;
    }

    public BigDecimal getPROD_QTY() {
        return PROD_QTY;
    }

    public void setPROD_QTY(BigDecimal PROD_QTY) {
        this.PROD_QTY = PROD_QTY;
    }

    public String getPLANNED_START_DATE() {
        return PLANNED_START_DATE;
    }

    public void setPLANNED_START_DATE(String PLANNED_START_DATE) {
        this.PLANNED_START_DATE = PLANNED_START_DATE;
    }

    public String getPLANNED_COMP_DATE() {
        return PLANNED_COMP_DATE;
    }

    public void setPLANNED_COMP_DATE(String PLANNED_COMP_DATE) {
        this.PLANNED_COMP_DATE = PLANNED_COMP_DATE;
    }

    public String getSTART_PRODUCT() {
        return START_PRODUCT;
    }

    public void setSTART_PRODUCT(String START_PRODUCT) {
        this.START_PRODUCT = START_PRODUCT;
    }

    public String getSHOP_ORDER_TYPE() {
        return SHOP_ORDER_TYPE;
    }

    public void setSHOP_ORDER_TYPE(String SHOP_ORDER_TYPE) {
        this.SHOP_ORDER_TYPE = SHOP_ORDER_TYPE;
    }

    public String getITEM_NUMBER() {
        return ITEM_NUMBER;
    }

    public void setITEM_NUMBER(String ITEM_NUMBER) {
        this.ITEM_NUMBER = ITEM_NUMBER;
    }

    public String getPRODUCT_CATEGORY() {
        return PRODUCT_CATEGORY;
    }

    public void setPRODUCT_CATEGORY(String PRODUCT_CATEGORY) {
        this.PRODUCT_CATEGORY = PRODUCT_CATEGORY;
    }

    public String getWORK_ORDER() {
        return WORK_ORDER;
    }

    public void setWORK_ORDER(String WORK_ORDER) {
        this.WORK_ORDER = WORK_ORDER;
    }

    public String getCOMMENTS() {
        return COMMENTS;
    }

    public void setCOMMENTS(String COMMENTS) {
        this.COMMENTS = COMMENTS;
    }

    @Override
    public String toString() {
        return "ShopOrderSyncRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", FACTORY='" + FACTORY + '\'' +
                ", SHOP_ORDER='" + SHOP_ORDER + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", PLANNED_ITEM='" + PLANNED_ITEM + '\'' +
                ", ITEM_REVISION='" + ITEM_REVISION + '\'' +
                ", PLANNED_BOM='" + PLANNED_BOM + '\'' +
                ", BOM_TYPE='" + BOM_TYPE + '\'' +
                ", BOM_REVISION='" + BOM_REVISION + '\'' +
                ", PLANNED_ROUTER='" + PLANNED_ROUTER + '\'' +
                ", PRIORITY='" + PRIORITY + '\'' +
                ", ORDER_QTY='" + ORDER_QTY + '\'' +
                ", PROD_QTY='" + PROD_QTY + '\'' +
                ", PLANNED_START_DATE='" + PLANNED_START_DATE + '\'' +
                ", PLANNED_COMP_DATE='" + PLANNED_COMP_DATE + '\'' +
                ", START_PRODUCT='" + START_PRODUCT + '\'' +
                ", SHOP_ORDER_TYPE='" + SHOP_ORDER_TYPE + '\'' +
                ", ITEM_NUMBER='" + ITEM_NUMBER + '\'' +
                ", PRODUCT_CATEGORY='" + PRODUCT_CATEGORY + '\'' +
                ", WORK_ORDER='" + WORK_ORDER + '\'' +
                ", COMMENTS='" + COMMENTS + '\'' +
                '}';
    }
}
